Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an external tax calculator

How to create an external tax calculator via API

To create a new external tax calculator, send a POST request to the /api/2026-05/external_tax_calculators endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.name

string

Required

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

attributes.external_includes

array

Optional, default to resource specific list

attributes.tax_calculator_url

string

Required

Example

The following request creates a new external tax calculator:

curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "external_tax_calculators",
    "attributes": {
      "name": "Personal tax calculator",
      "tax_calculator_url": "https://external_calculator.yourbrand.com"
    }
  }
}'

On success, the API responds with a 201 Created status code, returning the created resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "external_tax_calculators",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Personal tax calculator",
      "type": "external_tax_calculators",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      },
      "circuit_state": "closed",
      "circuit_failure_count": 5,
      "shared_secret": "1c0994cc4e996e8c6ee56a2198f66f3c",
      "tax_calculator_url": "https://external_calculator.yourbrand.com"
    },
    "relationships": {
      "markets": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/relationships/markets",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/markets"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/attachments"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/external_tax_calculators/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "created_with_version": "2026-05"
    }
  },
  "meta": {
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74",
    "api_versions": [
      "2017-08",
      "2026-05"
    ]
  }
}

Last updated